Bug 5633 - remote_charset in gftprc is incorrectly applied to local files
: remote_charset in gftprc is incorrectly applied to local files
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gftp-gtk)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-12-06 13:09 by
Modified: 2010-10-09 21:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-06 13:09:06
В gftprc есть параметр remote_charsets, позволяющий задавать кодировку русских
букв. Без неё на FTP-сервере, работающем под Windows, русские имена будут видны
закорючками. Но если в ней указать значение windows-1251, то закорючками
становятся видны локальные имена в KOI-8 на левой панели!
Steps to Reproduce:
1. apt-get install gftp-gtk
2. gftp-gtk  # ..creates default gftprc
3. $EDITOR ~/.gftp/gftprc  # assign here remote_charsets=windows-1251
4. mkdir ~/МойТест
5. gftp-gtk  # look to "МойТест" in left panel
Actual Results:  
БНОПНЯ

Expected Results:  
МойТест
------- Comment #1 From 2004-12-06 13:58:52 -------
на мантейнера 
------- Comment #2 From 2004-12-10 01:43:13 -------
Патч добавлен в новой версии gftp-2.0.18rc1-alt1 
------- Comment #3 From 2004-12-21 02:52:42 -------
Установил 2.0.18rc1-alt, но баг не исчез,
то есть перекодировка продолжает применяться
не только к удалённой, но и к локальной панели.
Кроме того, смена перекодировки на удалённой панели
не вступает в силу сразу после закрытия окна настроек,
а требует отсоединиться/соединиться заново
для изменений на удалённой панели,
и перезапуска gftp - для локальной.
------- Comment #4 From 2010-10-09 18:05:07 -------
Поставил 2.0.18stable-alt5.qa1, сделал на удалённом ftp-сервере файлик
оПХБЕР.txt, пошёл (местная локаль -- ru_RU.KOI8-R), "бнопня".

Полез в меню File > Options... > General, вписал "windows-1251" в Remote
Character Sets, OK; вышел-зашёл в каталог, вижу Привет.txt.

В левой панельке порылся в ~/Downloads, нашёл кириллицу -- порядок.
------- Comment #5 From 2010-10-09 21:06:52 -------
Михаил ещё раз спасибо..